TestBase (jTDS API)
Keywords: net.sourceforge.jtds.test.TestBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class TestBase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  CallableStatementJDBC3Test, CallableStatementTest, DatabaseTestCase, EncodingTest, GenKeyTest, JDBC3Test, LargeLOBTest, LOBTest, NtlmAuthTest, PreparedStatementTest, ReadTextTest, SanityTest, SavepointTest, StatementTest, Tds5Test, TimeZoneTest, UpdateTest

public abstract class TestBase
extends junit.framework.TestCase

Version:
  $Id: TestBase.java,v 1.21.2.1 2009/08/04 10:33:54 ickzon Exp $
Author:
  builder

Field Summary
`(package private) java.sql.Connection` | `con`
`private static java.lang.String` | `CONNECTION_PROPERTIES`
`static java.util.Properties` | `props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TestBase(java.lang.String name)`

Method Summary
`void` | `compareInputStreams(java.io.InputStream is1, java.io.InputStream is2)`
`void` | `compareReaders(java.io.Reader r1, java.io.Reader r2)`
`protected void` | `connect()`
`private void` | `disconnect()`
`void` | `dump(java.sql.ResultSet rs)`
`void` | `dumpRow(java.sql.ResultSet rs)`
`java.sql.Connection` | `getConnection()`
`java.sql.Connection` | `getConnection(java.util.Properties override)`
`private static java.util.Properties` | `loadProperties(java.lang.String fileName)`
`void` | `makeObjects(java.sql.Statement stmt, int count)`
`protected void` | `makeTestTables(java.sql.Statement stmt)`
`void` | `setUp()`
`void` | `tearDown()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_PROPERTIES

    private static final java.lang.String CONNECTION_PROPERTIES

See Also:
  Constant Field Values

### props

    public static final java.util.Properties props

### con

    java.sql.Connection con

Constructor Detail

### TestBase

    public TestBase(java.lang.String name)

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConnection

    public java.sql.Connection getConnection(java.util.Properties override)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### disconnect

    private void disconnect()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### connect

    protected void connect()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dump

    public void dump(java.sql.ResultSet rs)
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### dumpRow

    public void dumpRow(java.sql.ResultSet rs)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### loadProperties

    private static java.util.Properties loadProperties(java.lang.String fileName)

### makeTestTables

    protected void makeTestTables(java.sql.Statement stmt)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### makeObjects

    public void makeObjects(java.sql.Statement stmt,
                            int count)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### compareInputStreams

    public void compareInputStreams(java.io.InputStream is1,
                                    java.io.InputStream is2)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### compareReaders

    public void compareReaders(java.io.Reader r1,
                               java.io.Reader r2)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009